﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;

namespace xamDataChartAddDataPoints
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
      
            var Trades = new ObservableCollection<LiveViewDataPoint>();

            Trades.Add(new LiveViewDataPoint() { Date =  25, Price = 25.68 });
            Trades.Add(new LiveViewDataPoint() { Date = 25, Price = 5.68 });
            Trades.Add(new LiveViewDataPoint() { Date = 58, Price = 45.56});
            Trades.Add(new LiveViewDataPoint() { Date = 165, Price = 125.68 });

            this.DataContext = Trades;
        }
    }

    public class LiveViewDataPoint
    {
        public int Date { get; set; }
        public double Price { get; set; }
    }

}
